This commit is contained in:
Akim Demaille
2001-10-26 13:10:17 +00:00
parent 1306676ce3
commit d0132d6bec
17 changed files with 494 additions and 515 deletions

View File

@@ -1,4 +1,5 @@
# Makefile.in generated automatically by automake 1.5a from Makefile.am. # Makefile.in generated by automake 1.5a from Makefile.am.
# @configure_input@
# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc. # Free Software Foundation, Inc.
@@ -136,7 +137,7 @@ RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
uninstall-info-recursive all-recursive install-data-recursive \ uninstall-info-recursive all-recursive install-data-recursive \
install-exec-recursive installdirs-recursive install-recursive \ install-exec-recursive installdirs-recursive install-recursive \
uninstall-recursive check-recursive installcheck-recursive uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README ./stamp-h.in ABOUT-NLS AUTHORS COPYING ChangeLog \ DIST_COMMON = README ./stamp-h1.in ABOUT-NLS AUTHORS COPYING ChangeLog \
INSTALL Makefile.am Makefile.in NEWS README-alpha THANKS \ INSTALL Makefile.am Makefile.in NEWS README-alpha THANKS \
aclocal.m4 config.hin configure configure.in aclocal.m4 config.hin configure configure.in
DIST_SUBDIRS = $(SUBDIRS) DIST_SUBDIRS = $(SUBDIRS)
@@ -159,28 +160,28 @@ $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENC
$(ACLOCAL_M4): configure.in m4/c-bs-a.m4 m4/codeset.m4 m4/dmalloc.m4 m4/error.m4 m4/gettext.m4 m4/glibc21.m4 m4/iconv.m4 m4/isc-posix.m4 m4/lcmessage.m4 m4/malloc.m4 m4/mbrtowc.m4 m4/mbstate_t.m4 m4/prereq.m4 m4/progtest.m4 m4/realloc.m4 m4/strerror_r.m4 m4/warning.m4 $(ACLOCAL_M4): configure.in m4/c-bs-a.m4 m4/codeset.m4 m4/dmalloc.m4 m4/error.m4 m4/gettext.m4 m4/glibc21.m4 m4/iconv.m4 m4/isc-posix.m4 m4/lcmessage.m4 m4/malloc.m4 m4/mbrtowc.m4 m4/mbstate_t.m4 m4/prereq.m4 m4/progtest.m4 m4/realloc.m4 m4/strerror_r.m4 m4/warning.m4
cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
config.h: stamp-h config.h: stamp-h1
@if test ! -f $@; then \ @if test ! -f $@; then \
rm -f stamp-h; \ rm -f stamp-h1; \
$(MAKE) stamp-h; \ $(MAKE) stamp-h1; \
else :; fi else :; fi
stamp-h: $(srcdir)/config.hin $(top_builddir)/config.status stamp-h1: $(srcdir)/config.hin $(top_builddir)/config.status
@rm -f stamp-h stamp-hT @rm -f stamp-h1 stamp-h1T
@echo timestamp > stamp-hT 2> /dev/null @echo timestamp > stamp-h1T 2> /dev/null
cd $(top_builddir) \ cd $(top_builddir) \
&& CONFIG_FILES= CONFIG_HEADERS=config.h:config.hin \ && CONFIG_FILES= CONFIG_HEADERS=config.h:config.hin \
$(SHELL) ./config.status $(SHELL) ./config.status
@mv stamp-hT stamp-h @mv stamp-h1T stamp-h1
$(srcdir)/config.hin: $(srcdir)/./stamp-h.in $(srcdir)/config.hin: $(srcdir)/./stamp-h1.in
@if test ! -f $@; then \ @if test ! -f $@; then \
rm -f $(srcdir)/./stamp-h.in; \ rm -f $(srcdir)/./stamp-h1.in; \
$(MAKE) $(srcdir)/./stamp-h.in; \ $(MAKE) $(srcdir)/./stamp-h1.in; \
else :; fi else :; fi
$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) $(srcdir)/./stamp-h1.in: $(top_srcdir)/configure.in $(ACLOCAL_M4)
@rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT @rm -f $(srcdir)/./stamp-h1.in $(srcdir)/./stamp-h1.inT
@echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null @echo timestamp > $(srcdir)/./stamp-h1.inT 2> /dev/null
cd $(top_srcdir) && $(AUTOHEADER) cd $(top_srcdir) && $(AUTOHEADER)
@mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in @mv $(srcdir)/./stamp-h1.inT $(srcdir)/./stamp-h1.in
distclean-hdr: distclean-hdr:
-rm -f config.h -rm -f config.h

220
aclocal.m4 vendored
View File

@@ -1,4 +1,4 @@
# aclocal.m4 generated automatically by aclocal 1.5a # aclocal.m4 generated automatically by aclocal 1.5a -*- Autoconf -*-
# Copyright 1996, 1997, 1998, 1999, 2000, 2001 # Copyright 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc. # Free Software Foundation, Inc.
@@ -157,6 +157,8 @@ Check your system clock])
fi fi
AC_MSG_RESULT(yes)]) AC_MSG_RESULT(yes)])
# -*- Autoconf -*-
# Copyright 1997, 1999, 2000, 2001 Free Software Foundation, Inc. # Copyright 1997, 1999, 2000, 2001 Free Software Foundation, Inc.
@@ -353,7 +355,7 @@ AC_SUBST([INSTALL_STRIP_PROGRAM])])
# _AM_DEPENDENCIES(NAME) # _AM_DEPENDENCIES(NAME)
# --------------------- # ----------------------
# See how the compiler implements dependency checking. # See how the compiler implements dependency checking.
# NAME is "CC", "CXX" or "OBJC". # NAME is "CC", "CXX" or "OBJC".
# We try a few techniques and use that to set a single cache variable. # We try a few techniques and use that to set a single cache variable.
@@ -432,8 +434,7 @@ else
am_cv_$1_dependencies_compiler_type=none am_cv_$1_dependencies_compiler_type=none
fi fi
]) ])
$1DEPMODE="depmode=$am_cv_$1_dependencies_compiler_type" AC_SUBST([$1DEPMODE], [depmode=$am_cv_$1_dependencies_compiler_type])
AC_SUBST([$1DEPMODE])
]) ])
@@ -451,7 +452,7 @@ else
DEPDIR=_deps DEPDIR=_deps
fi fi
rmdir .deps 2>/dev/null rmdir .deps 2>/dev/null
AC_SUBST(DEPDIR) AC_SUBST([DEPDIR])
]) ])
@@ -466,12 +467,10 @@ if test "x$enable_dependency_tracking" != xno; then
AMDEPBACKSLASH='\' AMDEPBACKSLASH='\'
fi fi
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno]) AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
pushdef([subst], defn([AC_SUBST])) AC_SUBST([AMDEPBACKSLASH])
subst(AMDEPBACKSLASH)
popdef([subst])
]) ])
# Generate code to set up dependency tracking. # Generate code to set up dependency tracking. -*- Autoconf -*-
# Copyright 1999, 2000, 2001 Free Software Foundation, Inc. # Copyright 1999, 2000, 2001 Free Software Foundation, Inc.
@@ -490,24 +489,18 @@ popdef([subst])
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA. # 02111-1307, USA.
# This macro should only be invoked once -- use via AC_REQUIRE. #serial 2
# Usage:
# AM_OUTPUT_DEPENDENCY_COMMANDS
# # _AM_OUTPUT_DEPENDENCY_COMMANDS
# This code is only required when automatic dependency tracking # ------------------------------
# is enabled. FIXME. This creates each `.P' file that we will AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS],
# need in order to bootstrap the dependency handling code. [for mf in $CONFIG_FILES; do
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS],[ case $mf in
AC_OUTPUT_COMMANDS([
test x"$AMDEP_TRUE" != x"" ||
for mf in $CONFIG_FILES; do
case "$mf" in
Makefile) dirpart=.;; Makefile) dirpart=.;;
*/Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;; */Makefile) dirpart=`AS_DIRNAME("$mf")`;;
*) continue;; *) continue;;
esac esac
grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue grep '^DEP_FILES *= *[[^ @%:@]]' < "$mf" > /dev/null || continue
# Extract the definition of DEP_FILES from the Makefile without # Extract the definition of DEP_FILES from the Makefile without
# running `make'. # running `make'.
DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
@@ -531,14 +524,27 @@ for mf in $CONFIG_FILES; do
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
# Make sure the directory exists. # Make sure the directory exists.
test -f "$dirpart/$file" && continue test -f "$dirpart/$file" && continue
fdir=`echo "$file" | sed -e 's|/[^/]*$||'` fdir=`AS_DIRNAME(["$file"])`
$ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1 AS_MKDIR_P([$dirpart/$fdir])
# echo "creating $dirpart/$file" # echo "creating $dirpart/$file"
echo '# dummy' > "$dirpart/$file" echo '# dummy' > "$dirpart/$file"
done done
done done
], [AMDEP_TRUE="$AMDEP_TRUE" ])# _AM_OUTPUT_DEPENDENCY_COMMANDS
ac_aux_dir="$ac_aux_dir"])])
# AM_OUTPUT_DEPENDENCY_COMMANDS
# -----------------------------
# This macro should only be invoked once -- use via AC_REQUIRE.
#
# This code is only required when automatic dependency tracking
# is enabled. FIXME. This creates each `.P' file that we will
# need in order to bootstrap the dependency handling code.
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS],
[AC_CONFIG_COMMANDS([depfiles],
[test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS],
[AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"])
])
# AM_MAKE_INCLUDE() # AM_MAKE_INCLUDE()
# ----------------- # -----------------
@@ -671,7 +677,7 @@ AC_DEFUN([AM_CONFIG_HEADER],
m4_ifndef([_AM_Config_Header_Index], m4_define([_AM_Config_Header_Index], [0])) m4_ifndef([_AM_Config_Header_Index], m4_define([_AM_Config_Header_Index], [0]))
dnl prepare to store our destination file list for use in config.status dnl prepare to store our destination file list for use in config.status
AC_FOREACH([_AM_File], [$1], AC_FOREACH([_AM_File], [$1],
[m4_pushdef([_AM_Dest], m4_patsubst(_AM_File, [:.*])) [m4_pushdef([_AM_Dest], patsubst(_AM_File, [:.*]))
m4_define([_AM_Config_Header_Index], m4_define([_AM_Config_Header_Index],
m4_incr(_AM_Config_Header_Index)) m4_incr(_AM_Config_Header_Index))
dnl and add it to the list of files AC keeps track of, along dnl and add it to the list of files AC keeps track of, along
@@ -871,19 +877,19 @@ AC_SUBST(U)dnl
AC_SUBST(ANSI2KNR)dnl AC_SUBST(ANSI2KNR)dnl
]) ])
#serial 3 #serial 5
dnl From Jim Meyering. dnl From Jim Meyering.
dnl Determine whether malloc accepts 0 as its argument. dnl Determine whether malloc accepts 0 as its argument.
dnl If it doesn't, arrange to use the replacement function. dnl If it doesn't, arrange to use the replacement function.
dnl dnl
AC_DEFUN(jm_FUNC_MALLOC, AC_DEFUN([jm_FUNC_MALLOC],
[ [
dnl xmalloc.c requires that this symbol be defined so it doesn't dnl xmalloc.c requires that this symbol be defined so it doesn't
dnl mistakenly use a broken malloc -- as it might if this test were omitted. dnl mistakenly use a broken malloc -- as it might if this test were omitted.
AC_DEFINE_UNQUOTED(HAVE_DONE_WORKING_MALLOC_CHECK, 1, AC_DEFINE(HAVE_DONE_WORKING_MALLOC_CHECK, 1,
[Define if the malloc check has been performed. ]) [Define if the malloc check has been performed. ])
AC_CACHE_CHECK([for working malloc], jm_cv_func_working_malloc, AC_CACHE_CHECK([for working malloc], jm_cv_func_working_malloc,
[AC_TRY_RUN([ [AC_TRY_RUN([
@@ -900,26 +906,25 @@ AC_DEFUN(jm_FUNC_MALLOC,
jm_cv_func_working_malloc=no) jm_cv_func_working_malloc=no)
]) ])
if test $jm_cv_func_working_malloc = no; then if test $jm_cv_func_working_malloc = no; then
AC_SUBST(LIBOBJS) AC_LIBOBJ(malloc)
LIBOBJS="$LIBOBJS malloc.$ac_objext" AC_DEFINE(malloc, rpl_malloc,
AC_DEFINE_UNQUOTED(malloc, rpl_malloc,
[Define to rpl_malloc if the replacement function should be used.]) [Define to rpl_malloc if the replacement function should be used.])
fi fi
]) ])
#serial 3 #serial 5
dnl From Jim Meyering. dnl From Jim Meyering.
dnl Determine whether realloc works when both arguments are 0. dnl Determine whether realloc works when both arguments are 0.
dnl If it doesn't, arrange to use the replacement function. dnl If it doesn't, arrange to use the replacement function.
dnl dnl
AC_DEFUN(jm_FUNC_REALLOC, AC_DEFUN([jm_FUNC_REALLOC],
[ [
dnl xmalloc.c requires that this symbol be defined so it doesn't dnl xmalloc.c requires that this symbol be defined so it doesn't
dnl mistakenly use a broken realloc -- as it might if this test were omitted. dnl mistakenly use a broken realloc -- as it might if this test were omitted.
AC_DEFINE_UNQUOTED(HAVE_DONE_WORKING_REALLOC_CHECK, 1, AC_DEFINE(HAVE_DONE_WORKING_REALLOC_CHECK, 1,
[Define if the realloc check has been performed. ]) [Define if the realloc check has been performed. ])
AC_CACHE_CHECK([for working realloc], jm_cv_func_working_realloc, AC_CACHE_CHECK([for working realloc], jm_cv_func_working_realloc,
[AC_TRY_RUN([ [AC_TRY_RUN([
@@ -936,9 +941,8 @@ AC_DEFUN(jm_FUNC_REALLOC,
jm_cv_func_working_realloc=no) jm_cv_func_working_realloc=no)
]) ])
if test $jm_cv_func_working_realloc = no; then if test $jm_cv_func_working_realloc = no; then
AC_SUBST(LIBOBJS) AC_LIBOBJ(realloc)
LIBOBJS="$LIBOBJS realloc.$ac_objext" AC_DEFINE(realloc, rpl_realloc,
AC_DEFINE_UNQUOTED(realloc, rpl_realloc,
[Define to rpl_realloc if the replacement function should be used.]) [Define to rpl_realloc if the replacement function should be used.])
fi fi
]) ])
@@ -978,11 +982,11 @@ AC_DEFUN([jm_FUNC_MBRTOWC],
fi fi
]) ])
#serial 3 #serial 4
dnl From Paul Eggert. dnl From Paul Eggert.
AC_DEFUN(AC_C_BACKSLASH_A, AC_DEFUN([AC_C_BACKSLASH_A],
[ [
AC_CACHE_CHECK([whether backslash-a works in strings], ac_cv_c_backslash_a, AC_CACHE_CHECK([whether backslash-a works in strings], ac_cv_c_backslash_a,
[AC_TRY_COMPILE([], [AC_TRY_COMPILE([],
@@ -1002,7 +1006,7 @@ AC_DEFUN(AC_C_BACKSLASH_A,
fi fi
]) ])
# serial 8 # serial 9
# From Paul Eggert. # From Paul Eggert.
@@ -1014,7 +1018,7 @@ AC_DEFUN(AC_C_BACKSLASH_A,
# (at least glibc-2.1.3) because the "_XOPEN_SOURCE 500" definition elicits # (at least glibc-2.1.3) because the "_XOPEN_SOURCE 500" definition elicits
# a syntax error in wchar.h due to the use of undefined __int32_t. # a syntax error in wchar.h due to the use of undefined __int32_t.
AC_DEFUN(AC_MBSTATE_T, AC_DEFUN([AC_MBSTATE_T],
[ [
AC_CHECK_HEADERS(stdlib.h) AC_CHECK_HEADERS(stdlib.h)
@@ -1032,25 +1036,40 @@ AC_DEFUN(AC_MBSTATE_T,
[Define to a type if <wchar.h> does not define.]) [Define to a type if <wchar.h> does not define.])
fi]) fi])
#serial 1 #serial 4
dnl FIXME: put these prerequisite-only *.m4 files in a separate dnl FIXME: put these prerequisite-only *.m4 files in a separate
dnl directory -- otherwise, they'll conflict with existing files. dnl directory -- otherwise, they'll conflict with existing files.
dnl These are the prerequisite macros for GNU's error.c file. dnl These are the prerequisite macros for GNU's error.c file.
AC_DEFUN(jm_PREREQ_ERROR, AC_DEFUN([jm_PREREQ_ERROR],
[ [
AC_CHECK_FUNCS(strerror strerror_r vprintf doprnt) AC_CHECK_FUNCS(strerror vprintf doprnt)
AC_HEADER_STDC AC_CHECK_DECLS([strerror])
AC_FUNC_STRERROR_R AC_FUNC_STRERROR_R
AC_HEADER_STDC
]) ])
#serial 1002 #serial 1003
# Experimental replacement for the function in the latest CVS autoconf. # Experimental replacement for the function in the latest CVS autoconf.
# If the compile-test says strerror_r doesn't work, then resort to a
# `run'-test that works on BeOS and segfaults on DEC Unix.
# Use with the error.c file in ../lib. # Use with the error.c file in ../lib.
# Copyright 2001 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
undefine([AC_FUNC_STRERROR_R]) undefine([AC_FUNC_STRERROR_R])
# AC_FUNC_STRERROR_R # AC_FUNC_STRERROR_R
@@ -1058,57 +1077,36 @@ undefine([AC_FUNC_STRERROR_R])
AC_DEFUN([AC_FUNC_STRERROR_R], AC_DEFUN([AC_FUNC_STRERROR_R],
[AC_CHECK_DECLS([strerror_r]) [AC_CHECK_DECLS([strerror_r])
AC_CHECK_FUNCS([strerror_r]) AC_CHECK_FUNCS([strerror_r])
if test $ac_cv_func_strerror_r = yes; then AC_CACHE_CHECK([whether strerror_r returns char *],
AC_CHECK_HEADERS(string.h) ac_cv_func_strerror_r_char_p,
AC_CACHE_CHECK([for working strerror_r],
ac_cv_func_strerror_r_works,
[ [
AC_TRY_COMPILE( ac_cv_func_strerror_r_char_p=no
[ if test $ac_cv_have_decl_strerror_r = yes; then
# include <stdio.h> AC_COMPILE_IFELSE([AC_LANG_PROGRAM([AC_INCLUDES_DEFAULT],
# if HAVE_STRING_H [[
# include <string.h> char buf[100];
# endif char x = *strerror_r (0, buf, sizeof buf);
], char *p = strerror_r (0, buf, sizeof buf);
[ ]])],
char buf[100]; ac_cv_func_strerror_r_char_p=yes)
char x = *strerror_r (0, buf, sizeof buf); else
], # strerror_r is not declared. Choose between
ac_cv_func_strerror_r_works=yes,
ac_cv_func_strerror_r_works=no
)
if test $ac_cv_func_strerror_r_works = no; then
# strerror_r seems not to work, but now we have to choose between
# systems that have relatively inaccessible declarations for the # systems that have relatively inaccessible declarations for the
# function. BeOS and DEC UNIX 4.0 fall in this category, but the # function. BeOS and DEC UNIX 4.0 fall in this category, but the
# former has a strerror_r that returns char*, while the latter # former has a strerror_r that returns char*, while the latter
# has a strerror_r that returns `int'. # has a strerror_r that returns `int'.
# This test should segfault on the DEC system. # This test should segfault on the DEC system.
AC_TRY_RUN( AC_RUN_IFELSE([AC_LANG_PROGRAM([AC_INCLUDES_DEFAULT
[ extern char *strerror_r ();],
# include <stdio.h> [[char buf[100];
# include <string.h>
# include <ctype.h>
extern char *strerror_r ();
int
main ()
{
char buf[100];
char x = *strerror_r (0, buf, sizeof buf); char x = *strerror_r (0, buf, sizeof buf);
exit (!isalpha (x)); exit (!isalpha (x));]])],
} ac_cv_func_strerror_r_char_p=yes, , :)
],
ac_cv_func_strerror_r_works=yes,
ac_cv_func_strerror_r_works=no,
ac_cv_func_strerror_r_works=no)
fi fi
]) ])
if test $ac_cv_func_strerror_r_works = yes; then if test $ac_cv_func_strerror_r_char_p = yes; then
AC_DEFINE_UNQUOTED(HAVE_WORKING_STRERROR_R, 1, AC_DEFINE([STRERROR_R_CHAR_P], 1,
[Define to 1 if `strerror_r' returns a string.]) [Define to 1 if strerror_r returns char *.])
fi
fi fi
])# AC_FUNC_STRERROR_R ])# AC_FUNC_STRERROR_R
@@ -1136,10 +1134,12 @@ fi], [AC_MSG_RESULT(no)])
# #
# This file can be copied and used freely without restrictions. It can # This file can be copied and used freely without restrictions. It can
# be used in projects which are not available under the GNU General Public # be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext # License or the GNU Library General Public License but which still want
# functionality. # to provide support for the GNU gettext functionality.
# Please note that the actual code of GNU gettext is covered by the GNU # Please note that the actual code of the GNU gettext library is covered
# General Public License and is *not* in the public domain. # by the GNU Library General Public License, and the rest of the GNU
# gettext package package is covered by the GNU General Public License.
# They are *not* in the public domain.
# serial 10 # serial 10
@@ -1374,7 +1374,7 @@ return (int) gettext ("")]ifelse([$2], need-ngettext, [ + (int) ngettext ("", ""
dnl Found it, now check the version. dnl Found it, now check the version.
AC_MSG_CHECKING([version of bison]) AC_MSG_CHECKING([version of bison])
changequote(<<,>>)dnl changequote(<<,>>)dnl
ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison .* \([0-9]*\.[0-9.]*\).*$/\1/p'` ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison.* \([0-9]*\.[0-9.]*\).*$/\1/p'`
case $ac_prog_version in case $ac_prog_version in
'') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;; '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*) 1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)
@@ -1505,10 +1505,12 @@ strdup strtoul tsearch __argz_count __argz_stringify __argz_next])
# #
# This file can be copied and used freely without restrictions. It can # This file can be copied and used freely without restrictions. It can
# be used in projects which are not available under the GNU General Public # be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext # License or the GNU Library General Public License but which still want
# functionality. # to provide support for the GNU gettext functionality.
# Please note that the actual code of GNU gettext is covered by the GNU # Please note that the actual code of the GNU gettext library is covered
# General Public License and is *not* in the public domain. # by the GNU Library General Public License, and the rest of the GNU
# gettext package package is covered by the GNU General Public License.
# They are *not* in the public domain.
# serial 2 # serial 2
@@ -1670,10 +1672,12 @@ AC_DEFUN([AM_LANGINFO_CODESET],
# #
# This file can be copied and used freely without restrictions. It can # This file can be copied and used freely without restrictions. It can
# be used in projects which are not available under the GNU General Public # be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext # License or the GNU Library General Public License but which still want
# functionality. # to provide support for the GNU gettext functionality.
# Please note that the actual code of GNU gettext is covered by the GNU # Please note that the actual code of the GNU gettext library is covered
# General Public License and is *not* in the public domain. # by the GNU Library General Public License, and the rest of the GNU
# gettext package package is covered by the GNU General Public License.
# They are *not* in the public domain.
# serial 2 # serial 2

532
configure vendored
View File

@@ -2180,8 +2180,7 @@ ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu ac_compiler_gnu=$ac_cv_c_compiler_gnu
ac_config_commands="$ac_config_commands depfiles"
ac_config_commands="$ac_config_commands default-1"
am_make=${MAKE-make} am_make=${MAKE-make}
cat > confinc << 'END' cat > confinc << 'END'
@@ -2286,7 +2285,7 @@ fi
fi fi
echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5 echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6 echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
CCDEPMODE="depmode=$am_cv_CC_dependencies_compiler_type" CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
ac_ext=c ac_ext=c
ac_cpp='$CPP $CPPFLAGS' ac_cpp='$CPP $CPPFLAGS'
@@ -5089,7 +5088,7 @@ else
fi fi
done done
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<\_ACEOF
#define HAVE_DONE_WORKING_MALLOC_CHECK 1 #define HAVE_DONE_WORKING_MALLOC_CHECK 1
_ACEOF _ACEOF
@@ -5139,16 +5138,15 @@ fi
echo "$as_me:$LINENO: result: $jm_cv_func_working_malloc" >&5 echo "$as_me:$LINENO: result: $jm_cv_func_working_malloc" >&5
echo "${ECHO_T}$jm_cv_func_working_malloc" >&6 echo "${ECHO_T}$jm_cv_func_working_malloc" >&6
if test $jm_cv_func_working_malloc = no; then if test $jm_cv_func_working_malloc = no; then
LIBOBJS="$LIBOBJS malloc.$ac_objext" LIBOBJS="$LIBOBJS malloc.$ac_objext"
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<\_ACEOF
#define malloc rpl_malloc #define malloc rpl_malloc
_ACEOF _ACEOF
fi fi
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<\_ACEOF
#define HAVE_DONE_WORKING_REALLOC_CHECK 1 #define HAVE_DONE_WORKING_REALLOC_CHECK 1
_ACEOF _ACEOF
@@ -5198,10 +5196,9 @@ fi
echo "$as_me:$LINENO: result: $jm_cv_func_working_realloc" >&5 echo "$as_me:$LINENO: result: $jm_cv_func_working_realloc" >&5
echo "${ECHO_T}$jm_cv_func_working_realloc" >&6 echo "${ECHO_T}$jm_cv_func_working_realloc" >&6
if test $jm_cv_func_working_realloc = no; then if test $jm_cv_func_working_realloc = no; then
LIBOBJS="$LIBOBJS realloc.$ac_objext" LIBOBJS="$LIBOBJS realloc.$ac_objext"
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<\_ACEOF
#define realloc rpl_realloc #define realloc rpl_realloc
_ACEOF _ACEOF
@@ -6086,7 +6083,7 @@ fi
done done
for ac_func in strerror strerror_r vprintf doprnt for ac_func in strerror vprintf doprnt
do do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_func" >&5 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -6161,141 +6158,63 @@ _ACEOF
fi fi
done done
echo "$as_me:$LINENO: checking for ANSI C header files" >&5 echo "$as_me:$LINENO: checking whether strerror is declared" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6 echo $ECHO_N "checking whether strerror is declared... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then if test "${ac_cv_have_decl_strerror+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 echo $ECHO_N "(cached) $ECHO_C" >&6
else else
cat >conftest.$ac_ext <<_ACEOF cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
#include <stdlib.h> $ac_includes_default
#include <stdarg.h> #ifdef F77_DUMMY_MAIN
#include <string.h> # ifdef __cplusplus
#include <float.h> extern "C"
# endif
_ACEOF int F77_DUMMY_MAIN() { return 1; }
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_stdc=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_cv_header_stdc=no
fi
rm -f conftest.err conftest.$ac_ext
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <string.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "memchr" >/dev/null 2>&1; then
:
else
ac_cv_header_stdc=no
fi
rm -f conftest*
fi
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <stdlib.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "free" >/dev/null 2>&1; then
:
else
ac_cv_header_stdc=no
fi
rm -f conftest*
fi
if test $ac_cv_header_stdc = yes; then
# /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
:
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
|| ('j' <= (c) && (c) <= 'r') \
|| ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif #endif
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int int
main () main ()
{ {
int i; #ifndef strerror
for (i = 0; i < 256; i++) char *p = (char *) strerror;
if (XOR (islower (i), ISLOWER (i)) #endif
|| toupper (i) != TOUPPER (i))
exit(2); ;
exit (0); return 0;
} }
_ACEOF _ACEOF
rm -f conftest$ac_exeext rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_link) 2>&5 (eval $ac_compile) 2>&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext' (exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5 (eval $ac_try) 2>&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then (exit $ac_status); }; }; then
: ac_cv_have_decl_strerror=yes
else else
echo "$as_me: program exited with status $ac_status" >&5 echo "$as_me: failed program was:" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5 cat conftest.$ac_ext >&5
( exit $ac_status ) ac_cv_have_decl_strerror=no
ac_cv_header_stdc=no
fi fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext rm -f conftest.$ac_objext conftest.$ac_ext
fi fi
fi echo "$as_me:$LINENO: result: $ac_cv_have_decl_strerror" >&5
fi echo "${ECHO_T}$ac_cv_have_decl_strerror" >&6
echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5 if test $ac_cv_have_decl_strerror = yes; then
echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
cat >>confdefs.h <<\_ACEOF cat >>confdefs.h <<_ACEOF
#define STDC_HEADERS 1 #define HAVE_DECL_STRERROR 1
_ACEOF
else
cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_STRERROR 0
_ACEOF _ACEOF
fi fi
@@ -6436,28 +6355,35 @@ _ACEOF
fi fi
done done
if test $ac_cv_func_strerror_r = yes; then echo "$as_me:$LINENO: checking whether strerror_r returns char *" >&5
echo $ECHO_N "checking whether strerror_r returns char *... $ECHO_C" >&6
for ac_header in string.h if test "${ac_cv_func_strerror_r_char_p+set}" = set; then
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6 echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else else
# Is the header compilable?
echo "$as_me:$LINENO: checking $ac_header usability" >&5 ac_cv_func_strerror_r_char_p=no
echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 if test $ac_cv_have_decl_strerror_r = yes; then
cat >conftest.$ac_ext <<_ACEOF cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
$ac_includes_default $ac_includes_default
#include <$ac_header> #ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
char buf[100];
char x = *strerror_r (0, buf, sizeof buf);
char *p = strerror_r (0, buf, sizeof buf);
;
return 0;
}
_ACEOF _ACEOF
rm -f conftest.$ac_objext rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -6471,23 +6397,88 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then (exit $ac_status); }; }; then
ac_header_compiler=yes ac_cv_func_strerror_r_char_p=yes
else else
echo "$as_me: failed program was:" >&5 echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5 cat conftest.$ac_ext >&5
ac_header_compiler=no
fi fi
rm -f conftest.$ac_objext conftest.$ac_ext rm -f conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 else
echo "${ECHO_T}$ac_header_compiler" >&6 # strerror_r is not declared. Choose between
# systems that have relatively inaccessible declarations for the
# Is the header present? # function. BeOS and DEC UNIX 4.0 fall in this category, but the
echo "$as_me:$LINENO: checking $ac_header presence" >&5 # former has a strerror_r that returns char*, while the latter
echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 # has a strerror_r that returns `int'.
cat >conftest.$ac_ext <<_ACEOF # This test should segfault on the DEC system.
if test "$cross_compiling" = yes; then
:
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
#include <$ac_header> $ac_includes_default
extern char *strerror_r ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
char buf[100];
char x = *strerror_r (0, buf, sizeof buf);
exit (!isalpha (x));
;
return 0;
}
_ACEOF
rm -f conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_strerror_r_char_p=yes
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
fi
echo "$as_me:$LINENO: result: $ac_cv_func_strerror_r_char_p" >&5
echo "${ECHO_T}$ac_cv_func_strerror_r_char_p" >&6
if test $ac_cv_func_strerror_r_char_p = yes; then
cat >>confdefs.h <<\_ACEOF
#define STRERROR_R_CHAR_P 1
_ACEOF
fi
echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
_ACEOF _ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -6506,131 +6497,80 @@ else
ac_cpp_err=yes ac_cpp_err=yes
fi fi
if test -z "$ac_cpp_err"; then if test -z "$ac_cpp_err"; then
ac_header_preproc=yes ac_cv_header_stdc=yes
else else
echo "$as_me: failed program was:" >&5 echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5 cat conftest.$ac_ext >&5
ac_header_preproc=no ac_cv_header_stdc=no
fi fi
rm -f conftest.err conftest.$ac_ext rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header? if test $ac_cv_header_stdc = yes; then
case $ac_header_compiler:$ac_header_preproc in # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
yes:no ) cat >conftest.$ac_ext <<_ACEOF
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
no:yes )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled." >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled." >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
esac
echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
eval "$as_ac_Header=$ac_header_preproc"
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
fi
done
echo "$as_me:$LINENO: checking for working strerror_r" >&5
echo $ECHO_N "checking for working strerror_r... $ECHO_C" >&6
if test "${ac_cv_func_strerror_r_works+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
#include <string.h>
# include <stdio.h>
# if HAVE_STRING_H
# include <string.h>
# endif
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
char buf[100];
char x = *strerror_r (0, buf, sizeof buf);
;
return 0;
}
_ACEOF _ACEOF
rm -f conftest.$ac_objext if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 egrep "memchr" >/dev/null 2>&1; then
(eval $ac_compile) 2>&5 :
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_strerror_r_works=yes
else else
echo "$as_me: failed program was:" >&5 ac_cv_header_stdc=no
cat conftest.$ac_ext >&5 fi
ac_cv_func_strerror_r_works=no rm -f conftest*
fi fi
rm -f conftest.$ac_objext conftest.$ac_ext
if test $ac_cv_func_strerror_r_works = no; then if test $ac_cv_header_stdc = yes; then
# strerror_r seems not to work, but now we have to choose between # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
# systems that have relatively inaccessible declarations for the cat >conftest.$ac_ext <<_ACEOF
# function. BeOS and DEC UNIX 4.0 fall in this category, but the #line $LINENO "configure"
# former has a strerror_r that returns char*, while the latter #include "confdefs.h"
# has a strerror_r that returns `int'. #include <stdlib.h>
# This test should segfault on the DEC system.
if test "$cross_compiling" = yes; then _ACEOF
ac_cv_func_strerror_r_works=no if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "free" >/dev/null 2>&1; then
:
else
ac_cv_header_stdc=no
fi
rm -f conftest*
fi
if test $ac_cv_header_stdc = yes; then
# /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
:
else else
cat >conftest.$ac_ext <<_ACEOF cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
|| ('j' <= (c) && (c) <= 'r') \
|| ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif
# include <stdio.h> #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
# include <string.h> int
# include <ctype.h> main ()
{
extern char *strerror_r (); int i;
for (i = 0; i < 256; i++)
int if (XOR (islower (i), ISLOWER (i))
main () || toupper (i) != TOUPPER (i))
{ exit(2);
char buf[100]; exit (0);
char x = *strerror_r (0, buf, sizeof buf); }
exit (!isalpha (x));
}
_ACEOF _ACEOF
rm -f conftest$ac_exeext rm -f conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
@@ -6643,28 +6583,26 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then (exit $ac_status); }; }; then
ac_cv_func_strerror_r_works=yes :
else else
echo "$as_me: program exited with status $ac_status" >&5 echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5 echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5 cat conftest.$ac_ext >&5
( exit $ac_status ) ( exit $ac_status )
ac_cv_func_strerror_r_works=no ac_cv_header_stdc=no
fi fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi fi
fi
fi fi
echo "$as_me:$LINENO: result: $ac_cv_func_strerror_r_works" >&5 fi
echo "${ECHO_T}$ac_cv_func_strerror_r_works" >&6 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
if test $ac_cv_func_strerror_r_works = yes; then echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<\_ACEOF
#define HAVE_WORKING_STRERROR_R 1 #define STDC_HEADERS 1
_ACEOF _ACEOF
fi
fi fi
echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5 echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5
@@ -8333,7 +8271,7 @@ echo "${ECHO_T}found xgettext program is not GNU xgettext; ignore it" >&6
POSUB=po POSUB=po
fi fi
ac_config_commands="$ac_config_commands default-2" ac_config_commands="$ac_config_commands default-1"
if test "$PACKAGE" = gettext; then if test "$PACKAGE" = gettext; then
BUILD_INCLUDED_LIBINTL=yes BUILD_INCLUDED_LIBINTL=yes
@@ -8384,7 +8322,7 @@ done
else else
echo "$as_me:$LINENO: checking version of bison" >&5 echo "$as_me:$LINENO: checking version of bison" >&5
echo $ECHO_N "checking version of bison... $ECHO_C" >&6 echo $ECHO_N "checking version of bison... $ECHO_C" >&6
ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison .* \([0-9]*\.[0-9.]*\).*$/\1/p'` ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison.* \([0-9]*\.[0-9.]*\).*$/\1/p'`
case $ac_prog_version in case $ac_prog_version in
'') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;; '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*) 1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)
@@ -8896,8 +8834,7 @@ PACKAGE_VERSION='$PACKAGE_VERSION'
PACKAGE_STRING='$PACKAGE_STRING' PACKAGE_STRING='$PACKAGE_STRING'
PACKAGE_BUGREPORT='$PACKAGE_BUGREPORT' PACKAGE_BUGREPORT='$PACKAGE_BUGREPORT'
AMDEP_TRUE="$AMDEP_TRUE" AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"
ac_aux_dir="$ac_aux_dir"
_ACEOF _ACEOF
@@ -8919,8 +8856,8 @@ do
"tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;; "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
"tests/package.m4" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/package.m4" ;; "tests/package.m4" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/package.m4" ;;
"tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;; "tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;
"depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;; "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
"default-2" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-2" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;; "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;} echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -9573,12 +9510,20 @@ AUTOTEST_PATH='tests'
SHELL=\${CONFIG_SHELL-'$SHELL'} SHELL=\${CONFIG_SHELL-'$SHELL'}
ATEOF ATEOF
;; ;;
default-1 ) depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
test x"$AMDEP_TRUE" != x"" || case $mf in
for mf in $CONFIG_FILES; do
case "$mf" in
Makefile) dirpart=.;; Makefile) dirpart=.;;
*/Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;; */Makefile) dirpart=`$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$mf" : 'X\(//\)[^/]' \| \
X"$mf" : 'X\(//\)$' \| \
X"$mf" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$mf" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`;;
*) continue;; *) continue;;
esac esac
grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
@@ -9605,14 +9550,43 @@ for mf in $CONFIG_FILES; do
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
# Make sure the directory exists. # Make sure the directory exists.
test -f "$dirpart/$file" && continue test -f "$dirpart/$file" && continue
fdir=`echo "$file" | sed -e 's|/[^/]*$||'` fdir=`$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
$ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1 X"$file" : 'X\(//\)[^/]' \| \
X"$file" : 'X\(//\)$' \| \
X"$file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
{ case $dirpart/$fdir in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy=$dirpart/$fdir
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" ||
mkdir "$as_incr_dir" ||
{ { echo "$as_me:$LINENO: error: cannot create $dirpart/$fdir" >&5
echo "$as_me: error: cannot create $dirpart/$fdir" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
done; }
# echo "creating $dirpart/$file" # echo "creating $dirpart/$file"
echo '# dummy' > "$dirpart/$file" echo '# dummy' > "$dirpart/$file"
done done
done done
;; ;;
default-2 ) for ac_file in $CONFIG_FILES; do default-1 ) for ac_file in $CONFIG_FILES; do
# Support "outfile[:infile[:infile...]]" # Support "outfile[:infile[:infile...]]"
case "$ac_file" in case "$ac_file" in
*:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;; *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;

BIN
po/de.gmo

Binary file not shown.

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: bison 1.25\n" "Project-Id-Version: bison 1.25\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 1996-10-10 17:54 MET DST\n" "PO-Revision-Date: 1996-10-10 17:54 MET DST\n"
"Last-Translator: Ulrich Drepper <drepper@gnu.ai.mit.edu>\n" "Last-Translator: Ulrich Drepper <drepper@gnu.ai.mit.edu>\n"
"Language-Team: German <de@li.org>\n" "Language-Team: German <de@li.org>\n"
@@ -18,7 +18,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "" msgstr ""
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "" msgstr ""
@@ -714,68 +714,68 @@ msgstr ""
"Reduzierung von %s definiert %d Terminal, %d Nicht-Terminal und %d " "Reduzierung von %s definiert %d Terminal, %d Nicht-Terminal und %d "
"Produktionen.\n" "Produktionen.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: die Option »%s« ist nicht eindeutig\n" msgstr "%s: die Option »%s« ist nicht eindeutig\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: die Option »--%s« erlaubt kein Argument\n" msgstr "%s: die Option »--%s« erlaubt kein Argument\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: die Option »%c%s« erlaubt kein Argument\n" msgstr "%s: die Option »%c%s« erlaubt kein Argument\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: die Option »%s« erfordert ein Argument\n" msgstr "%s: die Option »%s« erfordert ein Argument\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: unbekannte Option »--%s«\n" msgstr "%s: unbekannte Option »--%s«\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: unbekannte Option »%c%s«\n" msgstr "%s: unbekannte Option »%c%s«\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: die Option ist nicht erlaubt -- %c\n" msgstr "%s: die Option ist nicht erlaubt -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: ungültige Option -- %c\n" msgstr "%s: ungültige Option -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: die Option benötigt ein Argument -- %c\n" msgstr "%s: die Option benötigt ein Argument -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: die Option »%s« ist nicht eindeutig\n" msgstr "%s: die Option »%s« ist nicht eindeutig\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: die Option »--%s« erlaubt kein Argument\n" msgstr "%s: die Option »--%s« erlaubt kein Argument\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
#, fuzzy #, fuzzy
msgid "memory exhausted" msgid "memory exhausted"
msgstr "%s: Hauptspeicher erschöpft\n" msgstr "%s: Hauptspeicher erschöpft\n"

View File

@@ -30,7 +30,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: GNU bison 1.25\n" "Project-Id-Version: GNU bison 1.25\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 1998-09-21 10:19+0200\n" "PO-Revision-Date: 1998-09-21 10:19+0200\n"
"Last-Translator: Nicolás García-Pedrajas <ngarcia-pedrajas@acm.org>\n" "Last-Translator: Nicolás García-Pedrajas <ngarcia-pedrajas@acm.org>\n"
"Language-Team: Spanish <es@li.org>\n" "Language-Team: Spanish <es@li.org>\n"
@@ -43,7 +43,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "" msgstr ""
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "" msgstr ""
@@ -820,35 +820,35 @@ msgstr ""
"la reducción de %s define %d terminal%s, %d no terminal%s, y %d produccion%" "la reducción de %s define %d terminal%s, %d no terminal%s, y %d produccion%"
"s.\n" "s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: la opción `%s' es ambigua\n" msgstr "%s: la opción `%s' es ambigua\n"
# Pongo esto como en otros .po. sv # Pongo esto como en otros .po. sv
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: la opción `--%s' no admite ningún argumento\n" msgstr "%s: la opción `--%s' no admite ningún argumento\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: la opción `%c%s' no admite ningún argumento\n" msgstr "%s: la opción `%c%s' no admite ningún argumento\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: la opción `%s' requiere un argumento\n" msgstr "%s: la opción `%s' requiere un argumento\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: opción `--%s' no reconocida\n" msgstr "%s: opción `--%s' no reconocida\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: opción `%c%s' no reconocida\n" msgstr "%s: opción `%c%s' no reconocida\n"
@@ -871,7 +871,7 @@ msgstr "%s: opci
# a la cárcel (como mucho se cuelgan, je, je, 0ff0 :-). sv # a la cárcel (como mucho se cuelgan, je, je, 0ff0 :-). sv
# #
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: opción -- %c ilegal\n" msgstr "%s: opción -- %c ilegal\n"
@@ -881,31 +881,31 @@ msgstr "%s: opci
# Porque Enrique decía que le recordaba a disminuidos físicos. # Porque Enrique decía que le recordaba a disminuidos físicos.
# Francamente, no creo que haya que andar con estas "fobias". # Francamente, no creo que haya que andar con estas "fobias".
# Pongo inválida. sv # Pongo inválida. sv
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: opción -- %c inválida\n" msgstr "%s: opción -- %c inválida\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: la opción -- %c requiere un argumento\n" msgstr "%s: la opción -- %c requiere un argumento\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: la opción `%s' es ambigua\n" msgstr "%s: la opción `%s' es ambigua\n"
# Pongo esto como en otros .po. sv # Pongo esto como en otros .po. sv
#: lib/getopt.c:880 #: lib/getopt.c:899
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: la opción `--%s' no admite ningún argumento\n" msgstr "%s: la opción `--%s' no admite ningún argumento\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
#, fuzzy #, fuzzy
msgid "memory exhausted" msgid "memory exhausted"
msgstr "%s: memoria agotada\n" msgstr "%s: memoria agotada\n"

BIN
po/et.gmo

Binary file not shown.

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: bison 1.28d\n" "Project-Id-Version: bison 1.28d\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 2001-08-29 17:06+02:00\n" "PO-Revision-Date: 2001-08-29 17:06+02:00\n"
"Last-Translator: Toomas Soome <tsoome@ut.ee>\n" "Last-Translator: Toomas Soome <tsoome@ut.ee>\n"
"Language-Team: Estonian <et@li.org>\n" "Language-Team: Estonian <et@li.org>\n"
@@ -18,7 +18,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "liiga palju olekuid (maks %d)" msgstr "liiga palju olekuid (maks %d)"
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "Tundmatu süsteemi viga" msgstr "Tundmatu süsteemi viga"
@@ -704,68 +704,68 @@ msgstr ""
"redutseeritud %s defineerib %d terminali%s, %d mitteterminali%s ja %d reeglit" "redutseeritud %s defineerib %d terminali%s, %d mitteterminali%s ja %d reeglit"
"%s.\n" "%s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: võti `%s' on segane\n" msgstr "%s: võti `%s' on segane\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: võti `--%s' ei luba argumenti\n" msgstr "%s: võti `--%s' ei luba argumenti\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: võti `%c%s' ei luba argumenti\n" msgstr "%s: võti `%c%s' ei luba argumenti\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: võti `%s' nõuab argumenti\n" msgstr "%s: võti `%s' nõuab argumenti\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: tundmatu võti `--%s'\n" msgstr "%s: tundmatu võti `--%s'\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: tundmatu võti `%c%s'\n" msgstr "%s: tundmatu võti `%c%s'\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: lubamatu võti -- %c\n" msgstr "%s: lubamatu võti -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: vigane võti -- %c\n" msgstr "%s: vigane võti -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: võti nõuab argumenti -- %c\n" msgstr "%s: võti nõuab argumenti -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, c-format #, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: võti `-W %s' on segane\n" msgstr "%s: võti `-W %s' on segane\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, c-format #, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: võti `-W %s' ei luba argumenti\n" msgstr "%s: võti `-W %s' ei luba argumenti\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
msgid "memory exhausted" msgid "memory exhausted"
msgstr "mälu on otsas" msgstr "mälu on otsas"

BIN
po/fr.gmo

Binary file not shown.

View File

@@ -6,7 +6,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: GNU bison 1.28d\n" "Project-Id-Version: GNU bison 1.28d\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 2001-08-29 20:00-0500\n" "PO-Revision-Date: 2001-08-29 20:00-0500\n"
"Last-Translator: Michel Robitaille <robitail@IRO.UMontreal.CA>\n" "Last-Translator: Michel Robitaille <robitail@IRO.UMontreal.CA>\n"
"Language-Team: French <traduc@traduc.org>\n" "Language-Team: French <traduc@traduc.org>\n"
@@ -19,7 +19,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "nombre trop grand d'états (max %d)" msgstr "nombre trop grand d'états (max %d)"
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "Erreur système inconnue" msgstr "Erreur système inconnue"
@@ -711,68 +711,68 @@ msgstr ""
"la réduction de %s définit %d terminal%s, %d catégorie%s et %d production%" "la réduction de %s définit %d terminal%s, %d catégorie%s et %d production%"
"s.\n" "s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: l'option %s est ambigüe\n" msgstr "%s: l'option %s est ambigüe\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: l'option --%s n'admet pas de paramètre\n" msgstr "%s: l'option --%s n'admet pas de paramètre\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: l'option %c%s n'admet pas de paramètre\n" msgstr "%s: l'option %c%s n'admet pas de paramètre\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: l'option %s requiert un paramètre\n" msgstr "%s: l'option %s requiert un paramètre\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: l'option --%s est inconnue\n" msgstr "%s: l'option --%s est inconnue\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: l'option %c%s est inconnue\n" msgstr "%s: l'option %c%s est inconnue\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: option illégale -- %c\n" msgstr "%s: option illégale -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: option non valide -- %c\n" msgstr "%s: option non valide -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: l'option requiert un paramètre -- %c\n" msgstr "%s: l'option requiert un paramètre -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, c-format #, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: l'option `-W %s' est ambiguë\n" msgstr "%s: l'option `-W %s' est ambiguë\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, c-format #, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: l'option `-W %s' n'admet pas de paramètre\n" msgstr "%s: l'option `-W %s' n'admet pas de paramètre\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
msgid "memory exhausted" msgid "memory exhausted"
msgstr "mémoire épuisée" msgstr "mémoire épuisée"

BIN
po/ja.gmo

Binary file not shown.

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: GNU bison 1.28\n" "Project-Id-Version: GNU bison 1.28\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 1999-09-28 21:10+0900\n" "PO-Revision-Date: 1999-09-28 21:10+0900\n"
"Last-Translator: Daisuke Yamashita <yamad@mb.infoweb.ne.jp>\n" "Last-Translator: Daisuke Yamashita <yamad@mb.infoweb.ne.jp>\n"
"Language-Team: Japanese <ja@li.org>\n" "Language-Team: Japanese <ja@li.org>\n"
@@ -18,7 +18,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "%s の数が多すぎます (最大 %d)" msgstr "%s の数が多すぎます (最大 %d)"
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "" msgstr ""
@@ -716,68 +716,68 @@ msgstr ""
"還元ファイル %s で %d 個の終端子%.0s, %d 個の非終端子%.0s, %d 個の規則%.0sが" "還元ファイル %s で %d 個の終端子%.0s, %d 個の非終端子%.0s, %d 個の規則%.0sが"
"定義されました\n" "定義されました\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: オプション `%s' は曖昧です\n" msgstr "%s: オプション `%s' は曖昧です\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: オプション `--%s' は引数を許しません\n" msgstr "%s: オプション `--%s' は引数を許しません\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: オプション `%c%s' は引数を許しません\n" msgstr "%s: オプション `%c%s' は引数を許しません\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: オプション `%s' は引数を要求します\n" msgstr "%s: オプション `%s' は引数を要求します\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: 認識できないオプション `--%s' です\n" msgstr "%s: 認識できないオプション `--%s' です\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: 認識できないオプション `%c%s' です\n" msgstr "%s: 認識できないオプション `%c%s' です\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: 定格外のオプション -- %c\n" msgstr "%s: 定格外のオプション -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: 無効なオプション -- %c\n" msgstr "%s: 無効なオプション -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: オプションは引数を要求します -- %c\n" msgstr "%s: オプションは引数を要求します -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, c-format #, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: オプション `-W %s' は曖昧です\n" msgstr "%s: オプション `-W %s' は曖昧です\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, c-format #, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: オプション `-W %s' は引数を許しません\n" msgstr "%s: オプション `-W %s' は引数を許しません\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
#, fuzzy #, fuzzy
msgid "memory exhausted" msgid "memory exhausted"
msgstr "%s: メモリを使い果たしました\n" msgstr "%s: メモリを使い果たしました\n"

BIN
po/nl.gmo

Binary file not shown.

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: bison 1.25\n" "Project-Id-Version: bison 1.25\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 1996-08-27 15:34 MET DST\n" "PO-Revision-Date: 1996-08-27 15:34 MET DST\n"
"Last-Translator: Erick Branderhorst <branderh@debian.org>\n" "Last-Translator: Erick Branderhorst <branderh@debian.org>\n"
"Language-Team: Dutch <nl@li.org>\n" "Language-Team: Dutch <nl@li.org>\n"
@@ -18,7 +18,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "" msgstr ""
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "" msgstr ""
@@ -719,68 +719,68 @@ msgstr ""
"gereduceerd %s gedefinieerd %d terminal%s, %d nietterminal%s, en %d productie" "gereduceerd %s gedefinieerd %d terminal%s, %d nietterminal%s, en %d productie"
"%s.\n" "%s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: optie `%s' is niet eenduidig\n" msgstr "%s: optie `%s' is niet eenduidig\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: optie `--%s' staat geen argument toe\n" msgstr "%s: optie `--%s' staat geen argument toe\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: optie `%c%s' staat geen argument toe\n" msgstr "%s: optie `%c%s' staat geen argument toe\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: optie `%s' vereist een argument\n" msgstr "%s: optie `%s' vereist een argument\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: onbekende optie `--%s'\n" msgstr "%s: onbekende optie `--%s'\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: onbekende optie `%c%s'\n" msgstr "%s: onbekende optie `%c%s'\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: ongeldige optie -- %c\n" msgstr "%s: ongeldige optie -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: onjuiste optie -- %c\n" msgstr "%s: onjuiste optie -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: optie vereist een argument -- %c\n" msgstr "%s: optie vereist een argument -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: optie `%s' is niet eenduidig\n" msgstr "%s: optie `%s' is niet eenduidig\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, fuzzy, c-format #, fuzzy, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: optie `--%s' staat geen argument toe\n" msgstr "%s: optie `--%s' staat geen argument toe\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
#, fuzzy #, fuzzy
msgid "memory exhausted" msgid "memory exhausted"
msgstr "%s: geen geheugen meer beschikbaar\n" msgstr "%s: geen geheugen meer beschikbaar\n"

BIN
po/ru.gmo

Binary file not shown.

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: bison 1.29\n" "Project-Id-Version: bison 1.29\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 2001-09-09 13:49+04:00\n" "PO-Revision-Date: 2001-09-09 13:49+04:00\n"
"Last-Translator: Dmitry S. Sivachenko <dima@Chg.RU>\n" "Last-Translator: Dmitry S. Sivachenko <dima@Chg.RU>\n"
"Language-Team: Russian <ru@li.org>\n" "Language-Team: Russian <ru@li.org>\n"
@@ -18,7 +18,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "ÓÌÉÛËÏÍ ÍÎÏÇÏ ÓÏÓÔÏÑÎÉÊ (ÍÁËÓÉÍÁÌØÎÏ %d)" msgstr "ÓÌÉÛËÏÍ ÍÎÏÇÏ ÓÏÓÔÏÑÎÉÊ (ÍÁËÓÉÍÁÌØÎÏ %d)"
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "îÅÉÚ×ÅÓÔÎÁÑ ÓÉÓÔÅÍÎÁÑ ÏÛÉÂËÁ" msgstr "îÅÉÚ×ÅÓÔÎÁÑ ÓÉÓÔÅÍÎÁÑ ÏÛÉÂËÁ"
@@ -708,68 +708,68 @@ msgstr ""
"×Ù×ÅÄÅÎÎÙÊ %s ÏÐÒÅÄÅÌÑÅÔ %d ÔÅÒÍÉÎÁÌÏ×%s, %d ÎÅÔÅÒÍÉÎÁÌÏ×%s, É %d ÐÒÁ×ÉÌ " "×Ù×ÅÄÅÎÎÙÊ %s ÏÐÒÅÄÅÌÑÅÔ %d ÔÅÒÍÉÎÁÌÏ×%s, %d ÎÅÔÅÒÍÉÎÁÌÏ×%s, É %d ÐÒÁ×ÉÌ "
"×Ù×ÏÄÁ%s.\n" "×Ù×ÏÄÁ%s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: ÎÅÏÄÎÏÚÎÁÞÎÙÊ ËÌÀÞ `%s'\n" msgstr "%s: ÎÅÏÄÎÏÚÎÁÞÎÙÊ ËÌÀÞ `%s'\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: ËÌÀÞ `--%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n" msgstr "%s: ËÌÀÞ `--%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: ËÌÀÞ `%c%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n" msgstr "%s: ËÌÀÞ `%c%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: ËÌÀÞ `%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ Ó ÁÒÇÕÍÅÎÔÏÍ\n" msgstr "%s: ËÌÀÞ `%s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ Ó ÁÒÇÕÍÅÎÔÏÍ\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: ÎÅÉÚ×ÅÓÔÎÙÊ ËÌÀÞ `--%s'\n" msgstr "%s: ÎÅÉÚ×ÅÓÔÎÙÊ ËÌÀÞ `--%s'\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: ÎÅÉÚ×ÅÓÔÎÙÊ ËÌÀÞ `%c%s'\n" msgstr "%s: ÎÅÉÚ×ÅÓÔÎÙÊ ËÌÀÞ `%c%s'\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: ÎÅÄÏÐÕÓÔÉÍÙÊ ËÌÀÞ -- %c\n" msgstr "%s: ÎÅÄÏÐÕÓÔÉÍÙÊ ËÌÀÞ -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: ÎÅ×ÅÒÎÙÊ ËÌÀÞ -- %c\n" msgstr "%s: ÎÅ×ÅÒÎÙÊ ËÌÀÞ -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: ËÌÀÞ ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ Ó ÁÒÇÕÍÅÎÔÏÍ -- %c\n" msgstr "%s: ËÌÀÞ ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ Ó ÁÒÇÕÍÅÎÔÏÍ -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, c-format #, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: ÎÅÏÄÎÏÚÎÁÞÎÙÊ ËÌÀÞ `-W %s'\n" msgstr "%s: ÎÅÏÄÎÏÚÎÁÞÎÙÊ ËÌÀÞ `-W %s'\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, c-format #, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: ËÌÀÞ `-W %s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n" msgstr "%s: ËÌÀÞ `-W %s' ÄÏÌÖÅÎ ÉÓÐÏÌØÚÏ×ÁÔØÓÑ ÂÅÚ ÁÒÇÕÍÅÎÔÁ\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
msgid "memory exhausted" msgid "memory exhausted"
msgstr "ÐÁÍÑÔØ ÉÓÞÅÒÐÁÎÁ" msgstr "ÐÁÍÑÔØ ÉÓÞÅÒÐÁÎÁ"

View File

@@ -5,7 +5,7 @@
msgid "" msgid ""
msgstr "" msgstr ""
"Project-Id-Version: bison 1.28c\n" "Project-Id-Version: bison 1.28c\n"
"POT-Creation-Date: 2001-10-02 18:30+0200\n" "POT-Creation-Date: 2001-10-26 14:37+0200\n"
"PO-Revision-Date: 2001-09-10 10:54GMT\n" "PO-Revision-Date: 2001-09-10 10:54GMT\n"
"Last-Translator: Altug Bayram <altugbayram_2000@yahoo.com>\n" "Last-Translator: Altug Bayram <altugbayram_2000@yahoo.com>\n"
"Language-Team: Turkish <gnu-tr-u12a@lists.sourceforge.net>\n" "Language-Team: Turkish <gnu-tr-u12a@lists.sourceforge.net>\n"
@@ -19,7 +19,7 @@ msgstr ""
msgid "too many states (max %d)" msgid "too many states (max %d)"
msgstr "çok fazla durum (en fazla %d)" msgstr "çok fazla durum (en fazla %d)"
#: lib/error.c:117 src/complain.c:96 #: lib/error.c:128 lib/error.c:156 src/complain.c:96
msgid "Unknown system error" msgid "Unknown system error"
msgstr "Bilinmeyen sistem hatasý" msgstr "Bilinmeyen sistem hatasý"
@@ -710,68 +710,68 @@ msgstr ""
"indirgenen %s tanýmlanan %d sabit simge%s, %d deðiþken simge%s, ve %düretilen" "indirgenen %s tanýmlanan %d sabit simge%s, %d deðiþken simge%s, ve %düretilen"
"%s.\n" "%s.\n"
#: lib/getopt.c:675 #: lib/getopt.c:694
#, c-format #, c-format
msgid "%s: option `%s' is ambiguous\n" msgid "%s: option `%s' is ambiguous\n"
msgstr "%s: `%s' seçeneði belirsiz\n" msgstr "%s: `%s' seçeneði belirsiz\n"
#: lib/getopt.c:700 #: lib/getopt.c:719
#, c-format #, c-format
msgid "%s: option `--%s' doesn't allow an argument\n" msgid "%s: option `--%s' doesn't allow an argument\n"
msgstr "%s: `--%s' seçeneði argümansýz kullanýlýr\n" msgstr "%s: `--%s' seçeneði argümansýz kullanýlýr\n"
#: lib/getopt.c:705 #: lib/getopt.c:724
#, c-format #, c-format
msgid "%s: option `%c%s' doesn't allow an argument\n" msgid "%s: option `%c%s' doesn't allow an argument\n"
msgstr "%s: seçenek `%c%s' argümansýz kullanýlýr\n" msgstr "%s: seçenek `%c%s' argümansýz kullanýlýr\n"
#: lib/getopt.c:723 lib/getopt.c:896 #: lib/getopt.c:742 lib/getopt.c:915
#, c-format #, c-format
msgid "%s: option `%s' requires an argument\n" msgid "%s: option `%s' requires an argument\n"
msgstr "%s: `%s' seçeneði bir argümanla kullanýlýr\n" msgstr "%s: `%s' seçeneði bir argümanla kullanýlýr\n"
#. --option #. --option
#: lib/getopt.c:752 #: lib/getopt.c:771
#, c-format #, c-format
msgid "%s: unrecognized option `--%s'\n" msgid "%s: unrecognized option `--%s'\n"
msgstr "%s: `--%s' seçeneði bilinmiyor\n" msgstr "%s: `--%s' seçeneði bilinmiyor\n"
#. +option or -option #. +option or -option
#: lib/getopt.c:756 #: lib/getopt.c:775
#, c-format #, c-format
msgid "%s: unrecognized option `%c%s'\n" msgid "%s: unrecognized option `%c%s'\n"
msgstr "%s: `%c%s' seçeneði bilinmiyor\n" msgstr "%s: `%c%s' seçeneði bilinmiyor\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:782 #: lib/getopt.c:801
#, c-format #, c-format
msgid "%s: illegal option -- %c\n" msgid "%s: illegal option -- %c\n"
msgstr "%s: kuraldýþý seçenek -- %c\n" msgstr "%s: kuraldýþý seçenek -- %c\n"
#: lib/getopt.c:785 #: lib/getopt.c:804
#, c-format #, c-format
msgid "%s: invalid option -- %c\n" msgid "%s: invalid option -- %c\n"
msgstr "%s: geçersiz seçenek -- %c\n" msgstr "%s: geçersiz seçenek -- %c\n"
#. 1003.2 specifies the format of this message. #. 1003.2 specifies the format of this message.
#: lib/getopt.c:815 lib/getopt.c:945 #: lib/getopt.c:834 lib/getopt.c:964
#, c-format #, c-format
msgid "%s: option requires an argument -- %c\n" msgid "%s: option requires an argument -- %c\n"
msgstr "%s: seçenek bir argümanla kullanýlýr -- %c\n" msgstr "%s: seçenek bir argümanla kullanýlýr -- %c\n"
#: lib/getopt.c:862 #: lib/getopt.c:881
#, c-format #, c-format
msgid "%s: option `-W %s' is ambiguous\n" msgid "%s: option `-W %s' is ambiguous\n"
msgstr "%s: `-W %s' seçeneði belirsiz\n" msgstr "%s: `-W %s' seçeneði belirsiz\n"
#: lib/getopt.c:880 #: lib/getopt.c:899
#, c-format #, c-format
msgid "%s: option `-W %s' doesn't allow an argument\n" msgid "%s: option `-W %s' doesn't allow an argument\n"
msgstr "%s: `-W %s' seçeneði argümansýz kullanýlýr\n" msgstr "%s: `-W %s' seçeneði argümansýz kullanýlýr\n"
#. If XALLOC_FAIL_FUNC is NULL, or does return, display this message #. If XALLOC_FAIL_FUNC is NULL, or does return, display this message
#. before exiting when memory is exhausted. Goes through gettext. #. before exiting when memory is exhausted. Goes through gettext.
#: lib/obstack.c:477 lib/xmalloc.c:66 #: lib/obstack.c:494 lib/obstack.c:497 lib/xmalloc.c:66
msgid "memory exhausted" msgid "memory exhausted"
msgstr "bellek tükendi" msgstr "bellek tükendi"